<?php
class FrmImpresionVisitaAction extends wtActions
{
    public function execute()
    {
        $this->block      = $this->getRequestParameter( 'block' );
        $this->i_Id       = $this->getRequestParameter( 'i_Id' );
        $this->s_TipoProc = $this->getRequestParameter( 's_TipoProc' );
        
        $a_Ids = explode( "_", $this->i_Id );
        $IdTipoDocumento = $a_Ids[0];
        $IdCompania      = $a_Ids[1];
        $NumeroDocumento = $a_Ids[2];
        
        $this->s_Titulo = "Impresion de Documento de Venta";
        
        $o_VTA_DocumentoFN = new VTA_DocumentoFN();
        $this->o_VTA_DocumentoBN = $o_VTA_DocumentoFN->selectByPK( $IdTipoDocumento, $IdCompania, $NumeroDocumento );
		$o_VTA_DocumentoBN = $this->o_VTA_DocumentoBN;
        
        $o_VTA_DocumentoDetalleFN = new VTA_DocumentoDetalleFN();
        $o_VTA_DocumentoDetalleFN->setIdTipoDocumento( $IdTipoDocumento );
        $o_VTA_DocumentoDetalleFN->setIdCompania( $IdCompania );
        $o_VTA_DocumentoDetalleFN->setNumeroDocumento( $NumeroDocumento );
        $this->a_VTA_DocumentoDetalle = $o_VTA_DocumentoDetalleFN->select();
		
		$o_GSS_CompaniaFN = new GSS_CompaniaFN();
		$this->o_GSS_CompaniaBN = $o_GSS_CompaniaFN->selectByPK($IdCompania);
		
		$o_GSS_SucursalFN = new GSS_SucursalFN();
		$o_GSS_SucursalFN->setIdAlmacen($o_VTA_DocumentoBN->getIdAlmacen());
		$a_o_GSS_SucursalBN = $o_GSS_SucursalFN->select();
        $this->o_GSS_SucursalBN = $a_o_GSS_SucursalBN[0];
		
		$o_GSS_TicketeraFN = new GSS_TicketeraFN();
		$o_GSS_TicketeraFN->setIdSucursal($this->o_GSS_SucursalBN->getIdSucursal());
		$a_o_GSS_TicketeraBN = $o_GSS_TicketeraFN->select();
        $this->o_GSS_TicketeraBN = $a_o_GSS_TicketeraBN[0];
		
        $o_VTA_TipoDocumentoFN = new VTA_TipoDocumentoFN();
		$this->o_VTA_TipoDocumentoFN = $o_VTA_TipoDocumentoFN->selectByPk($IdTipoDocumento);
        
       /*
	   pr( $this->o_VTA_DocumentoBN );
        pr( $this->a_VTA_DocumentoDetalle );
        pr( $this->o_GSS_CompaniaBN );
		pr( $this->o_GSS_SucursalBN );
		pr( $this->o_GSS_TicketeraBN );
		pr( $this->o_VTA_TipoDocumentoFN );
		*/
    }
}